Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78024 - Consider building with --use-union-type=yes
Summary: Consider building with --use-union-type=yes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xemacs
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 21:41 UTC by Ville Skyttä
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-18 03:08:24 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2002-11-17 21:41:02 UTC
There are numerous bug reports about XEmacs on RH 7 and 8 on the XEmacs mailing
lists, with the resolution including a recommendation of configuring with
--use-union-type=yes, see
<http://list-archive.xemacs.org/cgi-bin/wilma_glimpse/xemacs-beta?query=use-union-type&Search=Search&restricttofiles=on&filelist=200211&filelist=200210&filelist=200209&errors=0&maxfiles=50&maxlines=10&.cgifields=lineonly&.cgifields=filelist&.cgifields=case&.cgifields=partial&.cgifields=restricttofiles>

Perhaps RH should use that option, I've personally used a modified version of
the RH8 XEmacs RPM for quite some time now which is built with this option, and
it has worked very well for me.

Comment 1 Jens Petersen 2002-11-18 03:08:18 UTC
Yep, I'll try using union-types in the next package release.
Thanks.

Comment 2 Jens Petersen 2002-11-18 12:48:31 UTC
21.4.10-3 was built with union-type.

Comment 3 Ville Skyttä 2002-12-18 21:00:47 UTC
Uh-oh.  There's some new information about this one, see
<http://list-archive.xemacs.org/xemacs-beta/200212/msg00232.html>.

I don't know which is better, union-type or not, but I've never had problems
*with* it on Red Hat.  Just a FYI.


Note You need to log in before you can comment on or make changes to this bug.